Create Seller
curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/seller/channel/{Channel} \
--header 'Authorization: Bearer <token>' \
--header 'User-Agent: <user-agent>'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/channel/{Channel}"
headers = {
"User-Agent": "<user-agent>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'User-Agent': '<user-agent>', Authorization: 'Bearer <token>'}
};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/channel/{Channel}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signUpUrl": "https://signup.mybestdeals.com/?sid=c6b28bd5-e0b4-4857-9d9c-e8a9ac40241b&expires=1557149104",
"expiresAt": 1557149104
}{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Account
Create Seller
Create a seller signup session for a specific channel. The Useragent is required and will be validated against the channel’s minimum Clients Version requirement (minimumClientsVersionRequired).
POST
/
v1
/
seller
/
channel
/
{Channel}
Create Seller
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Headers
Wawi Useragent containing the Wawi version information. Must meet the channel's minWawiVersionRequired if specified.
Example:
"Wawi/1.11.0.3"
Path Parameters
Channel identifier the seller wants to sign up for (e.g. MBDCOM).
This is the unique Channel name.
Pattern:
^\w{5,15}$Example:
"MYBESTDEALCOMDE"
Response
Start a Seller Signup Process
Was this page helpful?